<!-- -------------------- ./adm/doslist.html -------------------- -->

<?php include "adm_top_dsfr.html"; ?>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col-12">
      <section class="os-table-wrapper fr-container--fluid">

        <div class="fr-grid-row">
          <div class="fr-tabs fr-col-12 fr-pt-1w">

<div id="contents-panel" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="contents-tab" tabindex="0">
<form class="os-table-wrapper__search">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col fr-col-md-3 fr-col-lg-3">
      <strong ><span id='ProofCnt'><?php echo count($this->PLIST); ?></span> Preuves </strong>&nbsp;
    </div>
    <div class="fr-col fr-col-md-3 fr-col-lg-3">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchRef" placeholder="chercher référence" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PR']; ?>">
      </div>
    </div>
    <div class="fr-col fr-col-md-3 fr-col-lg-3">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchUzr" placeholder="chercher signataire" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PU']; ?>">
      </div>
    </div>
    <div class="fr-col fr-col-md-3 fr-col-lg-3">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDat" placeholder="chercher date" onkeyup="ProofFilter()" value="<?php echo @$this->PFILTR['PD']; ?>">
      </div>
    </div>
  </div>
</form>

<!-- --------- start doslist ----------- -->

<table id="prooftable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;référence preuve</th>
 <th>&nbsp;signataire</th>
 <th>&nbsp;date</th>
</tr>
</thead>
<tbody>
<?php 
foreach ($this->PLIST as $num => $elem ) : 
?>
<tr class="datarow">
 <td><span class="pref"><a href="/prf/Show/<?php echo $elem['ref']; ?>" target="_blank" ><?php echo $elem['ref']; ?></a></span></td>
 <td><span class="puzr"><?php echo $elem['signer']; ?></span></td>
 <td><span class="pdat"><?php echo $elem['date']; ?></span></td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

</section>
</div>
</div>
</main>


<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/prooffilter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#prooftable").tablesorter({headers:{3:{sorter:false}},sortList: [[2,1]]} ); 
  ProofFilter();
} 
);
</script>

<script>
  /*
  $('#prooftable').on('sortEnd', function(event) {
    SortSave('AD', event.target.config.sortList);
  });
 */
</script>


</body>
</html>


